Bug 142714 - ACPI Battery Status bug
ACPI Battery Status bug
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 04:40 EST by Robert Perez
Modified: 2015-01-04 17:13 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:10:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/message from my last reboot (32.38 KB, text/plain)
2006-12-22 23:45 EST, Christopher Beland
no flags Details

  None (edit)
Description Robert Perez 2004-12-13 04:40:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Hi,

I have FC3 (2.6.9-1.681_FC3) in a laptop with 
Centrino 1.6 Mhz processor.

I have installed the ACPI rpm (acpid-1.0.3-2.i386.rpm).

I have enabled the ACPI support at kernel boot (setting acpi=on
parameter at boot).

I have enabled the APM and ACPI services.

I have enabled the Battstat applet at tasks bar...
The system reads the battery status at boot and fix them at
/proc/acpi/battery/BAT1 files 

*** alarm
alarm:                   unsupported

*** info
present:                 yes
design capacity:         4400 mAh
last full capacity:      2784 mAh
battery technology:      rechargeable
design voltage:          14800 mV
design capacity warning: 450 mAh
design capacity low:     150 mAh
capacity granularity 1:  32 mAh
capacity granularity 2:  32 mAh
model number:            QT07
serial number:           806
battery type:            LION
OEM info:                SMP

*** state
present:                 yes
capacity state:          ok
charging state:          charging
present rate:            0 mA
remaining capacity:      2688 mAh
present voltage:         14208 mV

but the contents of these files are not updated after system boot...

The file /var/log/acpi is updated at boot time

[Mon Dec 13 10:14:43 2004] starting up
[Mon Dec 13 10:14:43 2004] 1 rule loaded
[Mon Dec 13 10:14:44 2004] client connected from 3502[500:500]
[Mon Dec 13 10:14:44 2004] 1 client rule loaded

but not later.

The processor speed (/proc/cpuinfo) and therm info
(/proc/acpi/thermal_zone/THRM/*) works fine.

The APM service show's a message if I execute form command line:

[root@matrix]# apm
No APM support in kernel

At last I send the log of kernel initialization:

[root@matrix]# dmesg | egrep -i \(APM\|ACPI\)
ACPI: IRQ9 SCI: Edge set to Level Trigger.
ACPI: Subsystem revision 20040816
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGPB._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCIB._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs *10)
ACPI: PCI Interrupt Link [LNKB] (IRQs 11) *5
ACPI: PCI Interrupt Link [LNKC] (IRQs 11) *10
ACPI: PCI Interrupt Link [LNKD] (IRQs *11)
ACPI: PCI Interrupt Link [LNKE] (IRQs *10)
ACPI: PCI Interrupt Link [LNKF] (IRQs 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 10) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs *11)
ACPI: Embedded Controller [EC0] (gpe 29)
PCI: Using ACPI for IRQ routing
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10
ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.2[C] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKH] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:1f.3[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:01:00.0[A] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:02:02.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKE] enabled at IRQ 10
ACPI: PCI interrupt 0000:02:04.0[A] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:02:06.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:02:07.0[A] -> GSI 11 (level, low) -> IRQ 11
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16ac)
apm: overridden by ACPI.
ACPI: Processor [CPU0] (supports C1 C2 C3, 8 throttling states)
ACPI: Thermal Zone [THRM] (44 C)
ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: (supports S0 S3 S4 S5)
ACPI wakeup devices: 
ACPI: PCI interrupt 0000:02:02.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:1d.2[C] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:02:06.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:02:07.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: AC Adapter [ACAD] (on-line)
ACPI: Battery Slot [BAT1] (battery present)
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID]
ACPI: Sleep Button (CM) [SLPB]
ACPI: PCI interrupt 0000:01:00.0[A] -> GSI 10 (level, low) -> IRQ 10

Thank's

Version-Release number of selected component (if applicable):
acpid-1.0.3-2

How reproducible:
Always

Steps to Reproduce:
1. Boot the system with options related next:

    title Fedora Core (2.6.9-1.681_FC3)
        root (hd0,1)
        kernel /boot/vmlinuz-2.6.9-1.681_FC3 ro root=LABEL=/ acpi=on
rhgb quiet
        initrd /boot/initrd-2.6.9-1.681_FC3.img


Actual Results:  The battery status not updated correclty

Additional info:
Comment 1 Bill Nottingham 2004-12-13 20:37:01 EST
If the values in /proc are not changing that is a kernel bug.
Comment 2 Robert Perez 2004-12-14 03:15:12 EST
Hi,
If I connect or disconnect the AC adapter to the laptop, the values in
/proc/acpi/battery/BAT1 files are updated, but not in other cases.
I would like the values the 
/proc/acpi/battery/BAT1 files were updated periodically. Otherwise the
percent charge of the battery is not updated by the system at the taskbar.
It's easy not to realise the battery charge is getting lower and lose
the unsaved files :((
I have tested a restart of the acpi process, but the files at
/proc/acpi are not updated at acpi process startup...
Thank's
Comment 3 Dan Horak 2005-01-04 08:04:14 EST
I see the same problem - first in FC2 (it changed state from working to
non-working during some update in December or November 2004) and now I have FC3
on a new notebook and battery status is not updated again.
Comment 4 Christopher Beland 2005-02-12 19:25:53 EST
kernel-2.6.9-1.681_FC3
acpid-1.0.3-2
Toshiba M35X-S106 laptop


I seem to be experiencing the same problem; it seems that battery
status is reliably reported only after the first plug or unplug of AC
power.  There's also a short period where differently inaccurate
information is sometimes displayed...


When I first boot up with a discharged battery charging on AC, my
battstat applet indicates 51% charge, and ACPI reports the following:

/proc/acpi/battery/BAT1/info:
present:                 yes
design capacity:         4000 mAh
last full capacity:      4000 mAh
battery technology:      rechargeable
design voltage:          14800 mV
design capacity warning: 420 mAh
design capacity low:     156 mAh
capacity granularity 1:  264 mAh
capacity granularity 2:  3780 mAh
model number:            PA3395U
serial number:           3658Q
battery type:            Li-Ion
OEM info:                TOSHIBA

/proc/acpi/battery/BAT1/state:
present:                 yes
capacity state:          ok
charging state:          charged
present rate:            0 mA
remaining capacity:      2040 mAh
present voltage:         14800 mV


After maybe 30 seconds, the battstat applet shows N/A for battery
charge with a plug (no spark).

/proc/acpi/battery/BAT1/info:
present:                 no

cat /proc/acpi/battery/BAT1/state:
present:                 no

/proc/acpi/ac_adapter/ACAD/state:
state:                   on-line

---

Later in the same day, I do a second boot on battery power after
charging the battery.  Again, on startup, I see an indication of 51%
charge.  

/proc/acpi/battery/BAT1/state reports a remaining capacity of 2040 mAh
After about 30 seconds, the charge indicator jumps to 98% (probably
accurate) and /proc/acpi/battery/BAT1/state reports a remaining
capacity of 3880 mAh.


---

If I unplug the AC adapter, I get the battstat applet showing 10%
charge:

/proc/acpi/ac_adapter/ACAD/state
state:                   off-line

 /proc/acpi/battery/BAT1/info
present:                 yes
design capacity:         4000 mAh
last full capacity:      4000 mAh
battery technology:      rechargeable
design voltage:          14800 mV
design capacity warning: 420 mAh
design capacity low:     156 mAh
capacity granularity 1:  264 mAh
capacity granularity 2:  3780 mAh
model number:            PA3395U
serial number:           3658Q
battery type:            Li-Ion
OEM info:                TOSHIBA

/proc/acpi/battery/BAT1/state
present:                 yes
capacity state:          ok
charging state:          discharging
present rate:            0 mA
remaining capacity:      360 mAh
present voltage:         14702 mV

---

If I plug the AC back in, I get:

/proc/acpi/ac_adapter/ACAD/state
state:                   on-line

---

The following ACPI output occured during a boot the other day.  The
computer had connected to AC, halted, then unplugged and rebooted on
battery power.  I didn't touch the lid or the power button while it
was doing so. I don't know if any of it is related.

Jan 10 17:08:01 diet-anarchy kernel:  BIOS-e820: 000000000dee0000 -
000000000deea000 (ACPI data)
Jan 10 17:08:01 diet-anarchy kernel:  BIOS-e820: 000000000deea000 -
000000000df00000 (ACPI NVS)
Jan 10 17:08:03 diet-anarchy kernel: ACPI: PM-Timer IO Port: 0x1008
Jan 10 17:08:05 diet-anarchy kernel: ACPI: IRQ9 SCI: Edge set to Level Trigger.
Jan 10 17:08:05 diet-anarchy kernel: ACPI: Subsystem revision 20040816
Jan 10 17:08:05 diet-anarchy kernel: ACPI: Interpreter enabled
Jan 10 17:08:05 diet-anarchy kernel: ACPI: Using PIC for interrupt routing
Jan 10 17:08:05 diet-anarchy kernel: ACPI: PCI Root Bridge [PCI0] (00:00)
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 1 3 4
5 6 7 *10 12 14 15)
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 1 3 4
5 6 7 *11 12 14 15)
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 1 3 4
*5 6 7 10 12 14 15)
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 1 3 4
5 6 *7 11 12 14 15)
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 1 3
*4 5 6 7 10 12 14 15)
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs 1 3 4
5 6 7 *11 12 14 15)
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKG] (IRQs 1 3 4
5 6 7 10 12 14 15) *0, disabled.
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKH] (IRQs 1 *3
4 5 6 7 11 12 14 15)
Jan 10 17:08:06 diet-anarchy kernel: ACPI: Embedded Controller [EC0] (gpe 28)
Jan 10 17:08:06 diet-anarchy kernel: PCI: Using ACPI for IRQ routing
Jan 10 17:08:06 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKA] enabled at
IRQ 10
Jan 10 17:08:07 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:02.0[A] -> GSI
10 (level, low) -> IRQ 10
Jan 10 17:08:07 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI
10 (level, low) -> IRQ 10
Jan 10 17:08:07 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKD] enabled at
IRQ 7
Jan 10 17:08:07 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI
7 (level, low) -> IRQ 7
Jan 10 17:08:07 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKC] enabled at
IRQ 5
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1d.2[C] -> GSI
5 (level, low) -> IRQ 5
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKH] enabled at
IRQ 3
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI
3 (level, low) -> IRQ 3
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI
5 (level, low) -> IRQ 5
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKB] enabled at
IRQ 11
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1f.3[B] -> GSI
11 (level, low) -> IRQ 11
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI
11 (level, low) -> IRQ 11
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI
11 (level, low) -> IRQ 11
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKE] enabled at
IRQ 4
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:02:00.0[A] -> GSI
4 (level, low) -> IRQ 4
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI Interrupt Link [LNKF] enabled at
IRQ 11
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:02:01.0[A] -> GSI
11 (level, low) -> IRQ 11
Jan 10 17:08:08 diet-anarchy kernel: ACPI: PCI interrupt 0000:02:04.0[A] -> GSI
10 (level, low) -> IRQ 10
Jan 10 17:08:08 diet-anarchy kernel: apm: overridden by ACPI.
Jan 10 17:08:09 diet-anarchy kernel: ACPI: Processor [CPU0] (supports C1 C2 C3,
8 throttling states)
Jan 10 17:08:11 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI
11 (level, low) -> IRQ 11
Jan 10 17:08:11 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1f.1[A] -> GSI
5 (level, low) -> IRQ 5
Jan 10 17:08:12 diet-anarchy kernel: ACPI: (supports S0 S3 S4 S5)
Jan 10 17:08:12 diet-anarchy kernel: ACPI wakeup devices: 
Jan 10 17:08:15 diet-anarchy kernel: ACPI: PCI interrupt 0000:02:01.0[A] -> GSI
11 (level, low) -> IRQ 11
Jan 10 17:08:16 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1f.5[B] -> GSI
11 (level, low) -> IRQ 11
Jan 10 17:08:17 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1f.6[B] -> GSI
11 (level, low) -> IRQ 11
Jan 10 17:08:18 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1d.7[D] -> GSI
3 (level, low) -> IRQ 3
Jan 10 17:08:21 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1d.0[A] -> GSI
10 (level, low) -> IRQ 10
Jan 10 17:08:23 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1d.1[B] -> GSI
7 (level, low) -> IRQ 7
Jan 10 17:08:25 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:1d.2[C] -> GSI
5 (level, low) -> IRQ 5
Jan 10 17:08:26 diet-anarchy kernel: ACPI: PCI interrupt 0000:02:04.0[A] -> GSI
10 (level, low) -> IRQ 10
Jan 10 17:08:27 diet-anarchy kernel: ACPI: PCI interrupt 0000:02:00.0[A] -> GSI
4 (level, low) -> IRQ 4
Jan 10 17:08:28 diet-anarchy kernel: ACPI: AC Adapter [ACAD] (off-line)
Jan 10 17:08:28 diet-anarchy kernel: ACPI: Battery Slot [BAT1] (battery present)
Jan 10 17:08:28 diet-anarchy kernel: ACPI: Power Button (FF) [PWRF]
Jan 10 17:08:28 diet-anarchy kernel: ACPI: Lid Switch [LID]
Jan 10 17:08:29 diet-anarchy kernel:     ACPI-0265: *** Error: Region
EmbeddedControl(3) has no handler
Jan 10 17:08:29 diet-anarchy kernel:     ACPI-1133: *** Error: Method execution
failed [\_SB_.EPWR.PCLK] (Node 0fe5da40), AE_NOT_EXIST
Jan 10 17:08:29 diet-anarchy kernel:     ACPI-1133: *** Error: Method execution
failed [\_SB_.PCI0.LPCB.EC0_._Q1E] (Node 0fe01160), AE_NOT_EXIST
Jan 10 17:08:37 diet-anarchy kernel: ACPI: PCI interrupt 0000:00:02.0[A] -> GSI
10 (level, low) -> IRQ 10
Jan 10 17:08:58 diet-anarchy kernel:     ACPI-0265: *** Error: Region
EmbeddedControl(3) has no handler
Jan 10 17:08:58 diet-anarchy kernel:     ACPI-1133: *** Error: Method execution
failed [\_SB_.EPWR.PCLK] (Node 0fe5da40), AE_NOT_EXIST
Jan 10 17:08:58 diet-anarchy kernel:     ACPI-1133: *** Error: Method execution
failed [\_SB_.PCI0.LPCB.EC0_._Q1E] (Node 0fe01160), AE_NOT_EXIST
Jan 10 17:09:53 diet-anarchy kernel:     ACPI-0265: *** Error: Region
EmbeddedControl(3) has no handler
Jan 10 17:09:53 diet-anarchy kernel:     ACPI-1133: *** Error: Method execution
failed [\_SB_.EPWR.PCLK] (Node 0fe5da40), AE_NOT_EXIST
Jan 10 17:09:53 diet-anarchy kernel:     ACPI-1133: *** Error: Method execution
failed [\_SB_.PCI0.LPCB.EC0_._Q1E] (Node 0fe01160), AE_NOT_EXIST
Jan 10 17:10:49 diet-anarchy kernel:     ACPI-0265: *** Error: Region
EmbeddedControl(3) has no handler
Jan 10 17:10:49 diet-anarchy kernel:     ACPI-1133: *** Error: Method execution
failed [\_SB_.EPWR.PCLK] (Node 0fe5da40), AE_NOT_EXIST
Jan 10 17:10:49 diet-anarchy kernel:     ACPI-1133: *** Error: Method execution
failed [\_SB_.PCI0.LPCB.EC0_._Q1E] (Node 0fe01160), AE_NOT_EXIST
Comment 5 Trond Husoe 2005-06-20 08:33:37 EDT
Hi, 
Installed FC4 and acpid-1.0.4-1.

When running the battery applet:
System is running on AC power - no battery present. 
battery is present. (AC power is in)

System info:
Compaq Evo N160

cat /proc/acpi/battery/CMB0/info
present:                 yes
design capacity:         unknown
last full capacity:      unknown
battery technology:      rechargeable
design voltage:          unknown
design capacity warning: 800 mWh
design capacity low:     16 mWh
capacity granularity 1:  100 mWh
capacity granularity 2:  100 mWh
model number:            BAT1
serial number:           0000
battery type:            LION
OEM info:                COMPAQ

cat /proc/acpi/battery/CMB0/state
present:                 yes
capacity state:          ok
charging state:          charged
present rate:            0 mW
remaining capacity:      3342 mWh
present voltage:         16709 mV

cat /proc/acpi/battery/CMB0/alarm
alarm:                   unsupported
Comment 6 Dave Jones 2005-07-15 15:23:40 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Dan Horak 2005-07-16 06:08:52 EDT
I have update the kernel to 2.6.12-1.1372-FC3 and still no success. Please see
my comment in bug #140883.
Comment 8 Dan Horak 2005-07-30 06:18:06 EDT
Now I am running "vanilla" 2.6.13-rc3-git7 (with ACPI Debug enabled) and there
is big step forward. /proc/acpi/battery/BAT1/state detect when AC adapter is
connected and changes state from charging to discharging and vice versa. Another
step is that current capacity is decreased when in discharging state and
increased when in charging state. Only "present rate" is always set to zero.

Comment 9 Stefan Geuns 2005-09-02 08:31:03 EDT
I have a similar bug in fc4, in kernel: 2.6.12-1.1398_FC4.
My battery is not detected:

$ cat /proc/acpi/battery/BAT1/info
present:                 no

$ cat /proc/acpi/battery/BAT1/state
present:                 no

The laptop does detect when I plug in my ac adapter and sometimes it sees how
full the battery is, but sometimes (like now) I don't get to see anything in
klaptop and there are no changes in the 2 above files either, there is a change
in the ac_adapter state file if I plug the adapter in.
When I have no adapter connected, I have never seen the charge percentage!!

If I have the same bug, I recommend setting the status of this bug to high,
since I almost lost my data this morning. (Thank god I get a red light if power
is low, ie. a hardware controlled light!!)

Laptop details:
NEC Versa P550, centrino platform, Pentium M 1.86 GHz, 1 GB Ram

Acpi details:
acpid-1.0.4-1
Comment 10 Christopher Beland 2005-09-28 22:22:15 EDT
Still seeing this in kernel-2.6.12-1.1456_FC4. Someone who can needs to set the
version of this bug to "fc4". -B.
Comment 11 Dave Jones 2005-12-07 02:02:56 EST
There are already several bugs open for FC4 on this (or a similar issue).

For those still seeing this on FC3, does booting the latest errata kernel with
acpi_serialize as a boot parameter make it work again ?
Comment 12 Dan Horak 2006-01-12 07:03:44 EST
I tried some vanilla kernels some time ago and found out that using ec_polling
as a kernel boot parameter has solved this bug.
Comment 13 Dan Horak 2006-01-12 07:42:35 EST
And in current FC4 kernel (2.6.14-1.1656_FC4) ec_burst=0 helps a bit, but the
changes of AC/battery or "present rate" are changed only after long time.
Comment 14 Dave Jones 2006-01-16 17:08:36 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 15 Len Brown 2006-01-18 02:16:49 EST
Any better luck with the upstream kernel and the -mm patch?
The EC has been updated there.
Comment 16 Dan Horak 2006-01-18 03:05:16 EST
I agree with http://www.fi.muni.cz/~kas/m6r/ that 2.6.13-rc4 (and maybe -rc5
too) was working. Now I have just tried 2.6.15.1 + acpi-test-20051216 and with
ec_intr=0 (= polling enabled, used to be ec_poll) I have no success. I will
retry the 2.6.13-rc again and also the current -mm version.
Comment 17 Dan Horak 2006-01-18 04:40:17 EST
Now I am running 2.6.15-mm4 (with the default EC mode, no kernel param used) and
see the correct status (charging/discharging and present rate) of the battery
which is changing during the time when I play with it.
Comment 18 Dave Jones 2006-02-03 01:25:50 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 19 Christopher Beland 2006-02-15 13:18:13 EST
With kernel-2.6.15-1.1831_FC4, files in /proc/acpi show correct AC
power status (offline/online) and battery status
(charging/discharging, remaining capacitance).  The only exception is
in the first minute or so after reboot and logging in, when the
capacitance shown is always at exactly 50% of the rated capacity.

With gnome-applets-2.10.1-9, battstat-applet shows the correct battery
charge remaining (at least as reported by /proc), but always has the
AC power icon (a plug).  When the laptop is on battery power, it
should show a battery icon, but shows the plug icon instead.
Comment 20 Dave Jones 2006-07-29 01:06:18 EDT
There have been a huge number of improvements to acpi since 2.6.15. Can you give
the latest errata a try ?
Comment 21 Christopher Beland 2006-08-01 18:58:38 EDT
It looks like part of the remaining problem for me (Fedora 4,
kernel-2.6.16-1.2115_FC4) is that the battery applet (Battery Charge
Monitor 2.10.1) is reading /proc values wrong.  The tooltip is
currently showing "System is running on AC power" and "No battery
present".  I just unplugged my laptop from AC power after it was fully
charged.  It is now running on battery.

> cat /proc/acpi/battery/BAT1/info 
present:                 yes
design capacity:         4000 mAh
last full capacity:      4000 mAh
battery technology:      rechargeable
design voltage:          14800 mV
design capacity warning: 420 mAh
design capacity low:     156 mAh
capacity granularity 1:  264 mAh
capacity granularity 2:  3780 mAh
model number:            PA3395U
serial number:           3658Q
battery type:            Li-Ion
OEM info:                TOSHIBA

> cat /proc/acpi/battery/BAT1/state
present:                 yes
capacity state:          ok
charging state:          discharging
present rate:            0 mA
remaining capacity:      3680 mAh
present voltage:         15885 mV
Comment 22 Dave Jones 2006-09-16 21:02:11 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 23 Dave Jones 2006-10-16 16:04:52 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 24 Calorì Alessandro 2006-10-27 07:05:26 EDT
This problems shows up for me in Fedora Core 6...
Comment 25 Dave Jones 2006-11-20 18:53:04 EST
please attach (note attach, not paste)  the output of dmesg after booting.

Comment 26 Christopher Beland 2006-12-22 23:45:51 EST
Created attachment 144329 [details]
/var/log/message from my last reboot

I booted into kernel-2.6.18-1.2868.fc6 earlier today; I still see the temporary
"51%" indication before it changes to the correct reading.  Attached is the
output in /var/log/messages from around the reboot.
Comment 27 Christopher Beland 2007-08-26 14:53:05 EDT
Still seeing the temporary "51%" indication with Fedora 7 and
kernel-2.6.22.4-65.fc7.
Comment 28 Bug Zapper 2008-05-14 07:53:42 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stopmaintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longermaintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, 
simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end 
of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it 
for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by 
events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If 
possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Bug Zapper 2008-06-16 21:09:59 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.